[lua-torch-torch7] 02/02: tests: add autopkgtest support

Zhou Mo cdluminate-guest at moszumanska.debian.org
Sun Oct 16 06:23:40 UTC 2016


This is an automated email from the git hooks/post-receive script.

cdluminate-guest pushed a commit to branch master
in repository lua-torch-torch7.

commit 1c56f9e9bfa54256622bfe704cdf8586ccf66c2a
Author: Zhou Mo <cdluminate at gmail.com>
Date:   Sun Oct 16 06:23:12 2016 +0000

    tests: add autopkgtest support
---
 debian/changelog                 | 1 +
 debian/tests/control             | 3 +++
 debian/tests/lua.require         | 7 +++++++
 debian/tests/test.torch.unittest | 7 +++++++
 4 files changed, 18 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index e285589..b20f6ac 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,7 @@
 lua-torch-torch7 (0~20161013-g4f7843e-1) UNRELEASED; urgency=medium
 
   * Import upsteam snapshot (4f7843e).
+  * Add autopkgtest support.
 
  -- Zhou Mo <cdluminate at gmail.com>  Sun, 16 Oct 2016 06:13:33 +0000
 
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..4a36e3d
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: lua.require
+
+Tests: test.torch.unittest
diff --git a/debian/tests/lua.require b/debian/tests/lua.require
new file mode 100755
index 0000000..a5dda0f
--- /dev/null
+++ b/debian/tests/lua.require
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+
+# we test if this module can be successfylly loaded by lua
+lua5.1 -ltorch -e 'print(true)'
+
+exit 0
diff --git a/debian/tests/test.torch.unittest b/debian/tests/test.torch.unittest
new file mode 100755
index 0000000..8e36423
--- /dev/null
+++ b/debian/tests/test.torch.unittest
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+
+# let's see if it passes the unit test
+lua5.1 -ltorch -e 'torch.test()'
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/lua-torch-torch7.git



More information about the debian-science-commits mailing list